openni_wrapper::OpenNIDriver::DeviceContext Struct Reference

`#include <pcl/io/openni_camera/openni_driver.h>`

## Public Member Functions

| DeviceContext (const xn::NodeInfo &device_node, xn::NodeInfo *image_node, xn::NodeInfo *depth_node, xn::NodeInfo *ir_node)
| DeviceContext (const xn::NodeInfo &device_node)
| DeviceContext (const DeviceContext &)

## Public Attributes

xn::NodeInfo | device_node
std::shared_ptr< xn::NodeInfo > | image_node
std::shared_ptr< xn::NodeInfo > | depth_node
std::shared_ptr< xn::NodeInfo > | ir_node
boost::weak_ptr< OpenNIDevice > | device

## Detailed Description

Definition at line 211 of file openni_driver.h.

## Constructor & Destructor Documentation

## DeviceContext() [1/3]

openni_wrapper::OpenNIDriver::DeviceContext::DeviceContext | ( | const xn::NodeInfo & | device_node,
|  | xn::NodeInfo * | image_node,
|  | xn::NodeInfo * | depth_node,
|  | xn::NodeInfo * | ir_node
| ) |  |

## DeviceContext() [2/3]

openni_wrapper::OpenNIDriver::DeviceContext::DeviceContext | ( | const xn::NodeInfo & | device_node | ) |

## DeviceContext() [3/3]

openni_wrapper::OpenNIDriver::DeviceContext::DeviceContext | ( | const DeviceContext & |  | ) |

## Member Data Documentation

## depth_node

std::shared_ptr<xn::NodeInfo> openni_wrapper::OpenNIDriver::DeviceContext::depth_node

Definition at line 218 of file openni_driver.h.

## device

boost::weak_ptr<OpenNIDevice> openni_wrapper::OpenNIDriver::DeviceContext::device

Definition at line 220 of file openni_driver.h.

## device_node

xn::NodeInfo openni_wrapper::OpenNIDriver::DeviceContext::device_node

Definition at line 216 of file openni_driver.h.

## image_node

std::shared_ptr<xn::NodeInfo> openni_wrapper::OpenNIDriver::DeviceContext::image_node

Definition at line 217 of file openni_driver.h.

## ir_node

std::shared_ptr<xn::NodeInfo> openni_wrapper::OpenNIDriver::DeviceContext::ir_node

Definition at line 219 of file openni_driver.h.

The documentation for this struct was generated from the following file:

- pcl/io/openni_camera/openni_driver.h